### Method

# AppStreamCompose Unit get_contents

since: 0.14.5

#### Declaration [src]

    GPtrArray*
    asc_unit_get_contents (
      AscUnit* unit
    )

#### Description [src]

Get a list of all files contained by this unit.

Available since: 0.14.5

#### Return value

Type: An array of `utf8`

A file listing.

The returned data is owned by the instance.
Each element is a NUL terminated UTF-8 string.